﻿using System;
using Xamarin.Forms;

namespace PullToRefreshSample
{
	public partial class PullToRefreshSamplePage : ContentPage
	{
		internal View PullableContent { get; set; }
	    Model ViewModel { get; set; }
		public PullToRefreshSamplePage()
		{
			ViewModel = new Model() { Temp = "10°" };
			InitializeComponent();
			if (Device.OS  ==  TargetPlatform.iOS)
			{
				pullToRefresh.ProgressStrokeWidth = 3;
			}
			
			PullableContent = pullToRefresh.PullableContent;
			PullableContent.BindingContext = ViewModel;
			pullToRefresh.RefreshedEvent += Pull_pullToRefreshedEvent;

		}


		void Pull_pullToRefreshedEvent(object sender)
		{

			Device.StartTimer(new TimeSpan(0, 0, 2), () =>
				  {
					  Random random = new Random();
				      tempLabel.Text = random.Next(10, 40).ToString()+"°";
					  pullToRefresh.Refresh();
					  return false;
				  });

		}
	}

	public class Model
	{
		public string Temp { get; set; }
	}
}

